petsc-3.4.2 2013-07-02

# DMSNESSetObjective

set SNES objective evaluation function

### Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMSNESSetObjective(DM dm,PetscErrorCode (*SNESObjectiveFunction)(SNES,Vec,PetscReal*,void*),void *ctx)

Not Collective

### Input Arguments

| dm | - DM to be used with SNES
| SNESObjectiveFunction | - residual evaluation function
| ctx | - context for residual evaluation

### See Also

DMSNESSetContext(), SNESGetObjective(), DMSNESSetFunction()

Level:advanced
Location:src/snes/utils/dmsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages